| Home | Libraries | People | FAQ | More

##### segments_ref::max_size

(Inherited from `segments_base`)

Return the maximum number of characters possible.

###### Synopsis

    static
    constexpr std::size_t
    max_size();

###### Description

This represents the largest number of characters that are possible in a path, not including any null terminator.

###### Exception Safety

Throws nothing.